﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms

Namespace DateTimePickerAdv
	Partial Public Class Form1
		Inherits MetroForm
		#Region "Variables"
		'Initialize the variable
		Private preventFromPopup As Boolean = False
		#End Region

		Public Sub New()
			InitializeComponent()
			'To raise the events
			AddHandler dateTimePickerAdv1.PopupWindow.BeforeCloseUp, AddressOf PopupWindow_BeforeCloseUp
			AddHandler dateTimePickerAdv1.PopupWindow.Calendar.NoneButton.MouseDown, AddressOf NoneButton_MouseDown
			AddHandler dateTimePickerAdv1.PopupWindow.Calendar.TodayButton.MouseDown, AddressOf TodayButton_MouseDown
			AddHandler dateTimePickerAdv1.PopupWindow.Calendar.TodayButton.Click, AddressOf TodayButton_Click
			AddHandler dateTimePickerAdv1.PopupWindow.Calendar.NoneButtonClick, AddressOf Calendar_NoneButtonClick
		End Sub

		'The event will raised if Mouse pressed on None Button
		Private Sub NoneButton_MouseDown(ByVal sender As Object, ByVal e As MouseEventArgs)
			preventFromPopup = True
		End Sub

		'The event will raised if Mouse pressed on Today Button
		Private Sub TodayButton_MouseDown(ByVal sender As Object, ByVal e As MouseEventArgs)
			preventFromPopup = True
		End Sub

		'To prevent the popup window hiding
		Private Sub PopupWindow_BeforeCloseUp(ByVal sender As Object, ByVal e As CancelEventArgs)
			If preventFromPopup Then
				e.Cancel = True
			End If
		End Sub

		'Show calendar by using its DisplayMethod.
		Private Sub Calendar_NoneButtonClick(ByVal sender As Object, ByVal e As EventArgs)
			Me.dateTimePickerAdv1.DisplayCalendar()
		End Sub

		Private Sub TodayButton_Click(ByVal sender As Object, ByVal e As EventArgs)
			Me.dateTimePickerAdv1.DisplayCalendar()
		End Sub
	End Class
End Namespace
